package com.zhyc.module.base.mapper;

import java.util.List;
import com.zhyc.module.base.domain.DaRanch;

/**
 * 牧场管理Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public interface DaRanchMapper 
{
    /**
     * 查询牧场管理
     * 
     * @param id 牧场管理主键
     * @return 牧场管理
     */
    public DaRanch selectDaRanchById(Long id);

    /**
     * 查询牧场管理列表
     * 
     * @param daRanch 牧场管理
     * @return 牧场管理集合
     */
    public List<DaRanch> selectDaRanchList(DaRanch daRanch);

    /**
     * 新增牧场管理
     * 
     * @param daRanch 牧场管理
     * @return 结果
     */
    public int insertDaRanch(DaRanch daRanch);

    /**
     * 修改牧场管理
     * 
     * @param daRanch 牧场管理
     * @return 结果
     */
    public int updateDaRanch(DaRanch daRanch);

    /**
     * 删除牧场管理
     * 
     * @param id 牧场管理主键
     * @return 结果
     */
    public int deleteDaRanchById(Long id);

    /**
     * 批量删除牧场管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDaRanchByIds(Long[] ids);
}
